.leaflet-map-types div.active {
    opacity: 0.75 !important;
}

.leaflet-map-types div:not(.active) i {
    display: none;
}

.leaflet-map-types div.active i {
    display: inline-block;
}

.leaflet-map-types div.active .map-type-backdrop {
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.25) !important;
}

.leaflet-tooltip.leaflet-tooltip-dark.leaflet-tooltip-right::before {
    border-right-color: var(--bs-dark) !important;
}

.leaflet-tooltip.leaflet-tooltip-dark.leaflet-tooltip-left::before {
    border-left-color: var(--bs-dark) !important;
}

.leaflet-tooltip.leaflet-tooltip-dark.leaflet-tooltip-top::before {
    border-top-color: var(--bs-dark) !important;
}

.leaflet-tooltip.leaflet-tooltip-dark.leaflet-tooltip-bottom::before {
    border-bottom-color: var(--bs-dark) !important;
}

.leaflet-popup.leaflet-popup-dark .leaflet-popup-content-wrapper {
    background-color: var(--bs-dark) !important;
    border-color: var(--bs-dark) !important;
    overflow: hidden !important;
    box-shadow: none !important;
}

.leaflet-popup.leaflet-popup-dark .leaflet-popup-content-wrapper .leaflet-popup-close-button {
    color: var(--bs-white) !important;
}

.leaflet-popup.leaflet-popup-dark .leaflet-popup-tip-container .leaflet-popup-tip {
    background-color: var(--bs-dark) !important;
}
